source: squid-ssl/trunk/fuentes/lib/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 21 months ago

Initial release

File size: 51.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# lib/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS = tests/testRFC1035$(EXEEXT) tests/testRFC1738$(EXEEXT)
92TESTS = tests/testRFC1035$(EXEEXT) tests/testRFC1738$(EXEEXT) \
93        testHeaders
94am__append_1 = $(INCLTDL)
95am__append_2 = libTrie
96am__append_3 = snmplib
97#am__append_4 = profiler
98
99#
100# Some libraries are only available on Windows
101# and others are unable to be built.
102#
103#am__append_5 = libsspwin32.la
104am__append_6 = rfcnb smblib
105am__append_7 = sspwin32.cc
106am__append_8 = ntlmauth
107subdir = lib
108ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
110        $(top_srcdir)/acinclude/init.m4 \
111        $(top_srcdir)/acinclude/squid-util.m4 \
112        $(top_srcdir)/acinclude/compiler-flags.m4 \
113        $(top_srcdir)/acinclude/os-deps.m4 \
114        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
115        $(top_srcdir)/acinclude/pkg.m4 \
116        $(top_srcdir)/acinclude/lib-checks.m4 \
117        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
118        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
119        $(top_srcdir)/helpers/basic_auth/modules.m4 \
120        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
127        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
128        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
129        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
130        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
131        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
134        $(top_srcdir)/helpers/digest_auth/modules.m4 \
135        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
136        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
137        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
138        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
139        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
140        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
141        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
142        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
143        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
144        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
145        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
146        $(top_srcdir)/helpers/log_daemon/modules.m4 \
147        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
148        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
149        $(top_srcdir)/helpers/external_acl/modules.m4 \
150        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
152        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
153        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
154        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
155        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
156        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
157        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
158        $(top_srcdir)/helpers/external_acl/session/required.m4 \
159        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
160        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
161        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
162        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
163        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
164        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
165        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
166        $(top_srcdir)/configure.ac
167am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
168        $(ACLOCAL_M4)
169DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
170mkinstalldirs = $(install_sh) -d
171CONFIG_HEADER = $(top_builddir)/include/autoconf.h
172CONFIG_CLEAN_FILES =
173CONFIG_CLEAN_VPATH_FILES =
174LTLIBRARIES = $(noinst_LTLIBRARIES)
175libmisccontainers_la_LIBADD =
176am_libmisccontainers_la_OBJECTS = hash.lo
177libmisccontainers_la_OBJECTS = $(am_libmisccontainers_la_OBJECTS)
178AM_V_lt = $(am__v_lt_$(V))
179am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
180am__v_lt_0 = --silent
181am__v_lt_1 = 
182libmiscencoding_la_LIBADD =
183am_libmiscencoding_la_OBJECTS = base64.lo charset.lo html_quote.lo \
184        md5.lo rfc1738.lo rfc2617.lo uudecode.lo
185libmiscencoding_la_OBJECTS = $(am_libmiscencoding_la_OBJECTS)
186libmiscutil_la_LIBADD =
187am_libmiscutil_la_OBJECTS = MemPool.lo MemPoolChunked.lo \
188        MemPoolMalloc.lo getfullhostname.lo heap.lo iso3307.lo \
189        radix.lo rfc1035.lo rfc1123.lo rfc2671.lo rfc3596.lo Splay.lo \
190        stub_memaccount.lo util.lo xusleep.lo
191libmiscutil_la_OBJECTS = $(am_libmiscutil_la_OBJECTS)
192libsspwin32_la_LIBADD =
193am__libsspwin32_la_SOURCES_DIST = sspwin32.cc
194#am_libsspwin32_la_OBJECTS = sspwin32.lo
195libsspwin32_la_OBJECTS = $(am_libsspwin32_la_OBJECTS)
196#am_libsspwin32_la_rpath =
197am__dirstamp = $(am__leading_dot)dirstamp
198am_tests_testRFC1035_OBJECTS = tests/testRFC1035.$(OBJEXT)
199tests_testRFC1035_OBJECTS = $(am_tests_testRFC1035_OBJECTS)
200am__DEPENDENCIES_1 =
201#am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
202am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
203        $(am__DEPENDENCIES_2)
204tests_testRFC1035_DEPENDENCIES = $(am__DEPENDENCIES_1) \
205        $(am__DEPENDENCIES_1) $(top_builddir)/lib/libmiscencoding.la \
206        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_3)
207tests_testRFC1035_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
208        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
209        $(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testRFC1035_LDFLAGS) \
210        $(LDFLAGS) -o $@
211am_tests_testRFC1738_OBJECTS = tests/testRFC1738.$(OBJEXT)
212tests_testRFC1738_OBJECTS = $(am_tests_testRFC1738_OBJECTS)
213tests_testRFC1738_DEPENDENCIES = $(am__DEPENDENCIES_1) \
214        $(am__DEPENDENCIES_1) $(top_builddir)/lib/libmiscencoding.la \
215        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_3)
216tests_testRFC1738_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
217        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
218        $(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testRFC1738_LDFLAGS) \
219        $(LDFLAGS) -o $@
220AM_V_P = $(am__v_P_$(V))
221am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
222am__v_P_0 = false
223am__v_P_1 = :
224AM_V_GEN = $(am__v_GEN_$(V))
225am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
226am__v_GEN_0 = @echo "  GEN     " $@;
227am__v_GEN_1 = 
228AM_V_at = $(am__v_at_$(V))
229am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
230am__v_at_0 = @
231am__v_at_1 = 
232DEFAULT_INCLUDES = 
233depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
234am__depfiles_maybe = depfiles
235am__mv = mv -f
236COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
237        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
238LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
239        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
240        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
241        $(AM_CFLAGS) $(CFLAGS)
242AM_V_CC = $(am__v_CC_$(V))
243am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
244am__v_CC_0 = @echo "  CC      " $@;
245am__v_CC_1 = 
246CCLD = $(CC)
247LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
248        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
249        $(AM_LDFLAGS) $(LDFLAGS) -o $@
250AM_V_CCLD = $(am__v_CCLD_$(V))
251am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
252am__v_CCLD_0 = @echo "  CCLD    " $@;
253am__v_CCLD_1 = 
254CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
255        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
256LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
257        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
258        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
259        $(AM_CXXFLAGS) $(CXXFLAGS)
260AM_V_CXX = $(am__v_CXX_$(V))
261am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
262am__v_CXX_0 = @echo "  CXX     " $@;
263am__v_CXX_1 = 
264CXXLD = $(CXX)
265CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
266        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
267        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
268AM_V_CXXLD = $(am__v_CXXLD_$(V))
269am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
270am__v_CXXLD_0 = @echo "  CXXLD   " $@;
271am__v_CXXLD_1 = 
272SOURCES = $(libmisccontainers_la_SOURCES) \
273        $(libmiscencoding_la_SOURCES) $(libmiscutil_la_SOURCES) \
274        $(EXTRA_libmiscutil_la_SOURCES) $(libsspwin32_la_SOURCES) \
275        $(tests_testRFC1035_SOURCES) $(tests_testRFC1738_SOURCES)
276DIST_SOURCES = $(libmisccontainers_la_SOURCES) \
277        $(libmiscencoding_la_SOURCES) $(libmiscutil_la_SOURCES) \
278        $(EXTRA_libmiscutil_la_SOURCES) \
279        $(am__libsspwin32_la_SOURCES_DIST) \
280        $(tests_testRFC1035_SOURCES) $(tests_testRFC1738_SOURCES)
281RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
282        ctags-recursive dvi-recursive html-recursive info-recursive \
283        install-data-recursive install-dvi-recursive \
284        install-exec-recursive install-html-recursive \
285        install-info-recursive install-pdf-recursive \
286        install-ps-recursive install-recursive installcheck-recursive \
287        installdirs-recursive pdf-recursive ps-recursive \
288        tags-recursive uninstall-recursive
289am__can_run_installinfo = \
290  case $$AM_UPDATE_INFO_DIR in \
291    n|no|NO) false;; \
292    *) (install-info --version) >/dev/null 2>&1;; \
293  esac
294RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
295  distclean-recursive maintainer-clean-recursive
296am__recursive_targets = \
297  $(RECURSIVE_TARGETS) \
298  $(RECURSIVE_CLEAN_TARGETS) \
299  $(am__extra_recursive_targets)
300AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
301        check recheck distdir
302am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
303# Read a list of newline-separated strings from the standard input,
304# and print each of them once, without duplicates.  Input order is
305# *not* preserved.
306am__uniquify_input = $(AWK) '\
307  BEGIN { nonempty = 0; } \
308  { items[$$0] = 1; nonempty = 1; } \
309  END { if (nonempty) { for (i in items) print i; }; } \
310'
311# Make sure the list of sources is unique.  This is necessary because,
312# e.g., the same source file might be shared among _SOURCES variables
313# for different programs/libraries.
314am__define_uniq_tagged_files = \
315  list='$(am__tagged_files)'; \
316  unique=`for i in $$list; do \
317    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318  done | $(am__uniquify_input)`
319ETAGS = etags
320CTAGS = ctags
321am__tty_colors_dummy = \
322  mgn= red= grn= lgn= blu= brg= std=; \
323  am__color_tests=no
324am__tty_colors = { \
325  $(am__tty_colors_dummy); \
326  if test "X$(AM_COLOR_TESTS)" = Xno; then \
327    am__color_tests=no; \
328  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
329    am__color_tests=yes; \
330  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
331    am__color_tests=yes; \
332  fi; \
333  if test $$am__color_tests = yes; then \
334    red='[0;31m'; \
335    grn='[0;32m'; \
336    lgn='[1;32m'; \
337    blu='[1;34m'; \
338    mgn='[0;35m'; \
339    brg='[1m'; \
340    std='[m'; \
341  fi; \
342}
343am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
344am__vpath_adj = case $$p in \
345    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
346    *) f=$$p;; \
347  esac;
348am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
349am__install_max = 40
350am__nobase_strip_setup = \
351  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
352am__nobase_strip = \
353  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
354am__nobase_list = $(am__nobase_strip_setup); \
355  for p in $$list; do echo "$$p $$p"; done | \
356  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
357  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
358    if (++n[$$2] == $(am__install_max)) \
359      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
360    END { for (dir in files) print dir, files[dir] }'
361am__base_list = \
362  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
363  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
364am__uninstall_files_from_dir = { \
365  test -z "$$files" \
366    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
367    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
368         $(am__cd) "$$dir" && rm -f $$files; }; \
369  }
370am__recheck_rx = ^[     ]*:recheck:[    ]*
371am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
372am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
373# A command that, given a newline-separated list of test names on the
374# standard input, print the name of the tests that are to be re-run
375# upon "make recheck".
376am__list_recheck_tests = $(AWK) '{ \
377  recheck = 1; \
378  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
379    { \
380      if (rc < 0) \
381        { \
382          if ((getline line2 < ($$0 ".log")) < 0) \
383            recheck = 0; \
384          break; \
385        } \
386      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
387        { \
388          recheck = 0; \
389          break; \
390        } \
391      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
392        { \
393          break; \
394        } \
395    }; \
396  if (recheck) \
397    print $$0; \
398  close ($$0 ".trs"); \
399  close ($$0 ".log"); \
400}'
401# A command that, given a newline-separated list of test names on the
402# standard input, create the global log from their .trs and .log files.
403am__create_global_log = $(AWK) ' \
404function fatal(msg) \
405{ \
406  print "fatal: making $@: " msg | "cat >&2"; \
407  exit 1; \
408} \
409function rst_section(header) \
410{ \
411  print header; \
412  len = length(header); \
413  for (i = 1; i <= len; i = i + 1) \
414    printf "="; \
415  printf "\n\n"; \
416} \
417{ \
418  copy_in_global_log = 1; \
419  global_test_result = "RUN"; \
420  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
421    { \
422      if (rc < 0) \
423         fatal("failed to read from " $$0 ".trs"); \
424      if (line ~ /$(am__global_test_result_rx)/) \
425        { \
426          sub("$(am__global_test_result_rx)", "", line); \
427          sub("[        ]*$$", "", line); \
428          global_test_result = line; \
429        } \
430      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
431        copy_in_global_log = 0; \
432    }; \
433  if (copy_in_global_log) \
434    { \
435      rst_section(global_test_result ": " $$0); \
436      while ((rc = (getline line < ($$0 ".log"))) != 0) \
437      { \
438        if (rc < 0) \
439          fatal("failed to read from " $$0 ".log"); \
440        print line; \
441      }; \
442      printf "\n"; \
443    }; \
444  close ($$0 ".trs"); \
445  close ($$0 ".log"); \
446}'
447# Restructured Text title.
448am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
449# Solaris 10 'make', and several other traditional 'make' implementations,
450# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
451# by disabling -e (using the XSI extension "set +e") if it's set.
452am__sh_e_setup = case $$- in *e*) set +e;; esac
453# Default flags passed to test drivers.
454am__common_driver_flags = \
455  --color-tests "$$am__color_tests" \
456  --enable-hard-errors "$$am__enable_hard_errors" \
457  --expect-failure "$$am__expect_failure"
458# To be inserted before the command running the test.  Creates the
459# directory for the log if needed.  Stores in $dir the directory
460# containing $f, in $tst the test, in $log the log.  Executes the
461# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
462# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
463# will run the test scripts (or their associated LOG_COMPILER, if
464# thy have one).
465am__check_pre = \
466$(am__sh_e_setup);                                      \
467$(am__vpath_adj_setup) $(am__vpath_adj)                 \
468$(am__tty_colors);                                      \
469srcdir=$(srcdir); export srcdir;                        \
470case "$@" in                                            \
471  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
472    *) am__odir=.;;                                     \
473esac;                                                   \
474test "x$$am__odir" = x"." || test -d "$$am__odir"       \
475  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
476if test -f "./$$f"; then dir=./;                        \
477elif test -f "$$f"; then dir=;                          \
478else dir="$(srcdir)/"; fi;                              \
479tst=$$dir$$f; log='$@';                                 \
480if test -n '$(DISABLE_HARD_ERRORS)'; then               \
481  am__enable_hard_errors=no;                            \
482else                                                    \
483  am__enable_hard_errors=yes;                           \
484fi;                                                     \
485case " $(XFAIL_TESTS) " in                              \
486  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
487    am__expect_failure=yes;;                            \
488  *)                                                    \
489    am__expect_failure=no;;                             \
490esac;                                                   \
491$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
492# A shell command to get the names of the tests scripts with any registered
493# extension removed (i.e., equivalently, the names of the test logs, with
494# the '.log' extension removed).  The result is saved in the shell variable
495# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
496# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
497# since that might cause problem with VPATH rewrites for suffix-less tests.
498# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
499am__set_TESTS_bases = \
500  bases='$(TEST_LOGS)'; \
501  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
502  bases=`echo $$bases`
503RECHECK_LOGS = $(TEST_LOGS)
504TEST_SUITE_LOG = test-suite.log
505TEST_EXTENSIONS =  .test
506LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
507LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
508am__set_b = \
509  case '$@' in \
510    */*) \
511      case '$*' in \
512        */*) b='$*';; \
513          *) b=`echo '$@' | sed 's/\.log$$//'`; \
514       esac;; \
515    *) \
516      b='$*';; \
517  esac
518am__test_logs1 = $(TESTS:=.log)
519am__test_logs2 = $(am__test_logs1:.log=.log)
520TEST_LOGS = $(am__test_logs2:.test.log=.log)
521TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
522TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
523        $(TEST_LOG_FLAGS)
524am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
525        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
526DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
527am__relativize = \
528  dir0=`pwd`; \
529  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
530  sed_rest='s,^[^/]*/*,,'; \
531  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
532  sed_butlast='s,/*[^/]*$$,,'; \
533  while test -n "$$dir1"; do \
534    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
535    if test "$$first" != "."; then \
536      if test "$$first" = ".."; then \
537        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
538        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
539      else \
540        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
541        if test "$$first2" = "$$first"; then \
542          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
543        else \
544          dir2="../$$dir2"; \
545        fi; \
546        dir0="$$dir0"/"$$first"; \
547      fi; \
548    fi; \
549    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
550  done; \
551  reldir="$$dir2"
552ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
553ADAPTATION_LIBS = adaptation/libadaptation.la
554ALLOCA =
555AMTAR = $${TAR-tar}
556AM_DEFAULT_VERBOSITY = 1
557AR = /usr/bin/ar
558AR_R = /usr/bin/ar r
559AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
560AUTH_MODULES =  basic digest negotiate ntlm
561AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
562AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
563AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
564AWK = gawk
565BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
566BUILDCXX = g++
567BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
568BZR =
569CACHE_EFFECTIVE_USER = proxy
570CC = gcc
571CCDEPMODE = depmode=none
572CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
573CGIEXT = .cgi
574CHMOD = /bin/chmod
575CPP = gcc -E
576CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
577CPPUNITCONFIG = /usr/bin/cppunit-config
578CRYPTLIB = -lcrypt
579CXX = g++
580CXXCPP = g++ -E
581CXXDEPMODE = depmode=none
582CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
583CYGPATH_W = echo
584DEFAULT_HOSTS = /etc/hosts
585DEFAULT_LOG_DIR = /var/log/squid-ssl
586DEFAULT_PID_FILE = /var/run/squid-ssl.pid
587DEFAULT_SWAP_DIR = /var/spool/squid-ssl
588DEFS = -DHAVE_CONFIG_H
589DEPDIR = .deps
590DIGEST_AUTH_HELPERS =  file LDAP
591DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
592DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
593DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
594DISK_OS_LIBS =  -lrt -lpthread
595DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
596DLLTOOL = false
597DSYMUTIL =
598DUMPBIN =
599ECAP_LIBS = ecap/libsquid-ecap.la
600ECHO_C =
601ECHO_N = -n
602ECHO_T =
603EGREP = /bin/egrep
604EPOLL_LIBS =
605EUILIB =
606EXEEXT =
607EXPATLIB = -lexpat
608EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
609EXT_LIBECAP_CFLAGS =
610EXT_LIBECAP_LIBS = -lecap
611FALSE = /bin/false
612FGREP = /bin/fgrep
613GREP = grep
614HAVE_CXX11 = 1
615ICAP_LIBS = icap/libicap.la
616INCLTDL =
617INSTALL = /usr/bin/install -c
618INSTALL_DATA = ${INSTALL} -m 644
619INSTALL_PROGRAM = ${INSTALL}
620INSTALL_SCRIPT = ${INSTALL}
621INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
622KRB5INCS = -isystem /usr/include/mit-krb5
623KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
624LBERLIB = -llber
625LD = /usr/bin/ld -m elf_x86_64
626LDAPLIB = -lldap
627LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
628LIBADD_DL = -ldl
629LIBADD_DLD_LINK =
630LIBADD_DLOPEN = -ldl
631LIBADD_SHL_LOAD =
632LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
633LIBGNUTLS_LIBS = -lgnutls
634LIBLTDL = -lltdl
635LIBOBJS =
636LIBOPENSSL_CFLAGS =
637LIBOPENSSL_LIBS = -lssl -lcrypto
638LIBS =
639LIBSASL = -lsasl2
640LIBTOOL = $(SHELL) $(top_builddir)/libtool
641LIB_DB = -ldb
642LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
643LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
644LINUXDOC = /bin/false
645LIPO =
646LN = /bin/ln
647LN_S = ln -s
648LOG_DAEMON_HELPERS =  DB file
649LTDLDEPS =
650LTDLINCL =
651LTDLOPEN = libltdl
652LTLIBOBJS =
653LT_ARGZ_H =
654LT_CONFIG_H = include/autoconf.h
655LT_DLLOADERS =  libltdl/dlopen.la
656LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
657LT_SYS_LIBRARY_PATH =
658MAINT = #
659MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
660MANIFEST_TOOL = :
661MINGW_LIBS =
662MKDIR = /bin/mkdir
663MKDIR_P = /bin/mkdir -p
664MV = /bin/mv
665NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
666NETTLELIB =  -lnettle
667NM = /usr/bin/nm -B
668NMEDIT =
669NTLM_AUTH_HELPERS =  fake smb_lm
670OBJDUMP = objdump
671OBJEXT = o
672OTOOL =
673OTOOL64 =
674PACKAGE = squid
675PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
676PACKAGE_NAME = Squid Web Proxy
677PACKAGE_STRING = Squid Web Proxy 3.5.12
678PACKAGE_TARNAME = squid
679PACKAGE_URL =
680PACKAGE_VERSION = 3.5.12
681PATH_SEPARATOR = :
682PERL = /usr/bin/perl
683PKG_CONFIG = /usr/bin/pkg-config
684PKG_CONFIG_LIBDIR =
685PKG_CONFIG_PATH =
686PO2HTML = off
687PO2TEXT = off
688POD2MAN = /usr/bin/pod2man
689RANLIB = ranlib
690REGEXLIB =
691REPL_LIBS = liblru.a libheap.a
692REPL_OBJS = repl/liblru.a repl/libheap.a
693REPL_POLICIES = lru heap
694RM = /bin/rm -f
695SED = /bin/sed
696SET_MAKE =
697SH = /bin/sh
698SHELL = /bin/bash
699SMBCLIENT = /usr/bin/smbclient
700SNMPLIB = ../lib/snmplib/libsnmplib.la
701SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
702SQUID_CPPUNIT_INC =
703SQUID_CPPUNIT_LA =
704SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
705SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
706SSLLIB =  -lssl -lcrypto  -lgnutls
707STOREID_REWRITE_HELPERS =  file
708STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
709STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
710STORE_TESTS =
711STRIP = strip
712TR = /usr/bin/tr
713TRUE = /bin/true
714URL_REWRITE_HELPERS =  fake
715VERSION = 3.5.12
716WBINFO =
717WIN32_PSAPI =
718XMLLIB = -lxml2
719XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
720XTRA_OBJS =
721abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/lib
722abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/lib
723abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
724abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
725ac_ct_AR =
726ac_ct_CC = gcc
727ac_ct_CXX = g++
728ac_ct_DUMPBIN =
729am__include = include
730am__leading_dot = .
731am__quote =
732am__tar = tar --format=ustar -chf - "$$tardir"
733am__untar = tar -xf -
734bindir = ${exec_prefix}/bin
735build = x86_64-pc-linux-gnu
736build_alias = x86_64-linux-gnu
737build_cpu = x86_64
738build_os = linux-gnu
739build_vendor = pc
740builddir = .
741datadir = /usr/share/squid-ssl
742datarootdir = ${prefix}/share
743docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
744dvidir = ${docdir}
745exec_prefix = ${prefix}
746host = x86_64-pc-linux-gnu
747host_alias =
748host_cpu = x86_64
749host_os = linux-gnu
750host_vendor = pc
751htmldir = ${docdir}
752includedir = ${prefix}/include
753infodir = ${prefix}/share/info
754install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
755krb5_config =
756libdir = ${exec_prefix}/lib
757libexecdir = /usr/lib/squid-ssl
758localedir = ${datarootdir}/locale
759localstatedir = /var
760ltdl_LIBOBJS =  lt__strl.o
761ltdl_LTLIBOBJS =  lt__strl.lo
762mandir = /usr/share/man
763mkdir_p = $(MKDIR_P)
764oldincludedir = /usr/include
765pdfdir = ${docdir}
766prefix = /usr
767program_transform_name = s&$$&-ssl&
768psdir = ${docdir}
769runstatedir = ${localstatedir}/run
770sbindir = ${exec_prefix}/sbin
771sharedstatedir = ${prefix}/com
772srcdir = .
773subdirs =  libltdl
774sys_symbol_underscore = no
775sysconfdir = /etc/squid-ssl
776target_alias =
777top_build_prefix = ../
778top_builddir = ..
779top_srcdir = ..
780AM_CFLAGS = $(SQUID_CFLAGS)
781AM_CXXFLAGS = $(SQUID_CXXFLAGS)
782CLEANFILES = testHeaders
783AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
784        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
785        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
786        $(am__append_1)
787LIBPROFILER =
788#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
789COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
790subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
791DIST_SUBDIRS = ntlmauth profiler rfcnb smblib libTrie snmplib
792SUBDIRS = $(am__append_2) $(am__append_3) $(am__append_4) \
793        $(am__append_6) $(am__append_8)
794EXTRA_DIST = $(am__append_7)
795noinst_LTLIBRARIES = libmiscencoding.la libmisccontainers.la \
796        libmiscutil.la $(am__append_5)
797#libsspwin32_la_SOURCES = sspwin32.cc
798
799#
800# dirent.c, encrypt.c and getopt.c are needed for native Windows support.
801#
802EXTRA_libmiscutil_la_SOURCES = \
803        dirent.c \
804        encrypt.c \
805        getopt.c
806
807libmiscencoding_la_SOURCES = \
808        base64.c \
809        charset.c \
810        html_quote.c \
811        md5.c \
812        rfc1738.c \
813        rfc2617.c \
814        uudecode.c
815
816libmisccontainers_la_SOURCES = \
817        hash.cc
818
819libmiscutil_la_SOURCES = \
820        MemPool.cc \
821        MemPoolChunked.cc \
822        MemPoolMalloc.cc \
823        getfullhostname.c \
824        heap.c \
825        iso3307.c \
826        radix.c \
827        rfc1035.c \
828        rfc1123.c \
829        rfc2671.c \
830        rfc3596.c \
831        $(SNPRINTFSOURCE) \
832        Splay.cc \
833        stub_memaccount.c \
834        util.c \
835        xusleep.c
836
837tests_testRFC1035_SOURCES = \
838        tests/testRFC1035.h \
839        tests/testRFC1035.cc
840
841tests_testRFC1035_LDADD = \
842        $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS) \
843        $(top_builddir)/lib/libmiscencoding.la \
844        $(top_builddir)/lib/libmiscutil.la \
845        $(COMPAT_LIB)
846
847tests_testRFC1035_LDFLAGS = $(LIBADD_DL)
848tests_testRFC1738_SOURCES = \
849        tests/testRFC1738.h \
850        tests/testRFC1738.cc
851
852tests_testRFC1738_LDADD = \
853        $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS) \
854        $(top_builddir)/lib/libmiscencoding.la \
855        $(top_builddir)/lib/libmiscutil.la \
856        $(COMPAT_LIB)
857
858tests_testRFC1738_LDFLAGS = $(LIBADD_DL)
859all: all-recursive
860
861.SUFFIXES:
862.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
863$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
864        @for dep in $?; do \
865          case '$(am__configure_deps)' in \
866            *$$dep*) \
867              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
868                && { if test -f $@; then exit 0; else break; fi; }; \
869              exit 1;; \
870          esac; \
871        done; \
872        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/Makefile'; \
873        $(am__cd) $(top_srcdir) && \
874          $(AUTOMAKE) --gnu lib/Makefile
875Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
876        @case '$?' in \
877          *config.status*) \
878            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
879          *) \
880            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
881            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
882        esac;
883$(top_srcdir)/src/Common.am $(am__empty):
884
885$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
886        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
887
888$(top_srcdir)/configure: # $(am__configure_deps)
889        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
890$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
891        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
892$(am__aclocal_m4_deps):
893
894clean-noinstLTLIBRARIES:
895        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
896        @list='$(noinst_LTLIBRARIES)'; \
897        locs=`for p in $$list; do echo $$p; done | \
898              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
899              sort -u`; \
900        test -z "$$locs" || { \
901          echo rm -f $${locs}; \
902          rm -f $${locs}; \
903        }
904
905libmisccontainers.la: $(libmisccontainers_la_OBJECTS) $(libmisccontainers_la_DEPENDENCIES) $(EXTRA_libmisccontainers_la_DEPENDENCIES)
906        $(AM_V_CXXLD)$(CXXLINK)  $(libmisccontainers_la_OBJECTS) $(libmisccontainers_la_LIBADD) $(LIBS)
907
908libmiscencoding.la: $(libmiscencoding_la_OBJECTS) $(libmiscencoding_la_DEPENDENCIES) $(EXTRA_libmiscencoding_la_DEPENDENCIES)
909        $(AM_V_CCLD)$(LINK)  $(libmiscencoding_la_OBJECTS) $(libmiscencoding_la_LIBADD) $(LIBS)
910
911libmiscutil.la: $(libmiscutil_la_OBJECTS) $(libmiscutil_la_DEPENDENCIES) $(EXTRA_libmiscutil_la_DEPENDENCIES)
912        $(AM_V_CXXLD)$(CXXLINK)  $(libmiscutil_la_OBJECTS) $(libmiscutil_la_LIBADD) $(LIBS)
913
914libsspwin32.la: $(libsspwin32_la_OBJECTS) $(libsspwin32_la_DEPENDENCIES) $(EXTRA_libsspwin32_la_DEPENDENCIES)
915        $(AM_V_CXXLD)$(CXXLINK) $(am_libsspwin32_la_rpath) $(libsspwin32_la_OBJECTS) $(libsspwin32_la_LIBADD) $(LIBS)
916
917clean-checkPROGRAMS:
918        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
919        echo " rm -f" $$list; \
920        rm -f $$list || exit $$?; \
921        test -n "$(EXEEXT)" || exit 0; \
922        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
923        echo " rm -f" $$list; \
924        rm -f $$list
925tests/$(am__dirstamp):
926        @$(MKDIR_P) tests
927        @: > tests/$(am__dirstamp)
928tests/$(DEPDIR)/$(am__dirstamp):
929        @$(MKDIR_P) tests/$(DEPDIR)
930        @: > tests/$(DEPDIR)/$(am__dirstamp)
931tests/testRFC1035.$(OBJEXT): tests/$(am__dirstamp) \
932        tests/$(DEPDIR)/$(am__dirstamp)
933
934tests/testRFC1035$(EXEEXT): $(tests_testRFC1035_OBJECTS) $(tests_testRFC1035_DEPENDENCIES) $(EXTRA_tests_testRFC1035_DEPENDENCIES) tests/$(am__dirstamp)
935        @rm -f tests/testRFC1035$(EXEEXT)
936        $(AM_V_CXXLD)$(tests_testRFC1035_LINK) $(tests_testRFC1035_OBJECTS) $(tests_testRFC1035_LDADD) $(LIBS)
937tests/testRFC1738.$(OBJEXT): tests/$(am__dirstamp) \
938        tests/$(DEPDIR)/$(am__dirstamp)
939
940tests/testRFC1738$(EXEEXT): $(tests_testRFC1738_OBJECTS) $(tests_testRFC1738_DEPENDENCIES) $(EXTRA_tests_testRFC1738_DEPENDENCIES) tests/$(am__dirstamp)
941        @rm -f tests/testRFC1738$(EXEEXT)
942        $(AM_V_CXXLD)$(tests_testRFC1738_LINK) $(tests_testRFC1738_OBJECTS) $(tests_testRFC1738_LDADD) $(LIBS)
943
944mostlyclean-compile:
945        -rm -f *.$(OBJEXT)
946        -rm -f tests/*.$(OBJEXT)
947
948distclean-compile:
949        -rm -f *.tab.c
950
951#include ./$(DEPDIR)/MemPool.Plo
952#include ./$(DEPDIR)/MemPoolChunked.Plo
953#include ./$(DEPDIR)/MemPoolMalloc.Plo
954#include ./$(DEPDIR)/Splay.Plo
955#include ./$(DEPDIR)/base64.Plo
956#include ./$(DEPDIR)/charset.Plo
957#include ./$(DEPDIR)/dirent.Plo
958#include ./$(DEPDIR)/encrypt.Plo
959#include ./$(DEPDIR)/getfullhostname.Plo
960#include ./$(DEPDIR)/getopt.Plo
961#include ./$(DEPDIR)/hash.Plo
962#include ./$(DEPDIR)/heap.Plo
963#include ./$(DEPDIR)/html_quote.Plo
964#include ./$(DEPDIR)/iso3307.Plo
965#include ./$(DEPDIR)/md5.Plo
966#include ./$(DEPDIR)/radix.Plo
967#include ./$(DEPDIR)/rfc1035.Plo
968#include ./$(DEPDIR)/rfc1123.Plo
969#include ./$(DEPDIR)/rfc1738.Plo
970#include ./$(DEPDIR)/rfc2617.Plo
971#include ./$(DEPDIR)/rfc2671.Plo
972#include ./$(DEPDIR)/rfc3596.Plo
973#include ./$(DEPDIR)/sspwin32.Plo
974#include ./$(DEPDIR)/stub_memaccount.Plo
975#include ./$(DEPDIR)/util.Plo
976#include ./$(DEPDIR)/uudecode.Plo
977#include ./$(DEPDIR)/xusleep.Plo
978#include tests/$(DEPDIR)/testRFC1035.Po
979#include tests/$(DEPDIR)/testRFC1738.Po
980
981.c.o:
982#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
983#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
984#       $(am__mv) $$depbase.Tpo $$depbase.Po
985#       $(AM_V_CC)source='$<' object='$@' libtool=no
986#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
987        $(AM_V_CC)$(COMPILE) -c -o $@ $<
988
989.c.obj:
990#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
991#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
992#       $(am__mv) $$depbase.Tpo $$depbase.Po
993#       $(AM_V_CC)source='$<' object='$@' libtool=no
994#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
995        $(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
996
997.c.lo:
998#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
999#       $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1000#       $(am__mv) $$depbase.Tpo $$depbase.Plo
1001#       $(AM_V_CC)source='$<' object='$@' libtool=yes
1002#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
1003        $(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
1004
1005.cc.o:
1006#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1007#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1008#       $(am__mv) $$depbase.Tpo $$depbase.Po
1009#       $(AM_V_CXX)source='$<' object='$@' libtool=no
1010#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
1011        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
1012
1013.cc.obj:
1014#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1015#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1016#       $(am__mv) $$depbase.Tpo $$depbase.Po
1017#       $(AM_V_CXX)source='$<' object='$@' libtool=no
1018#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
1019        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1020
1021.cc.lo:
1022#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1023#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1024#       $(am__mv) $$depbase.Tpo $$depbase.Plo
1025#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
1026#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
1027        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
1028
1029mostlyclean-libtool:
1030        -rm -f *.lo
1031
1032clean-libtool:
1033        -rm -rf .libs _libs
1034        -rm -rf tests/.libs tests/_libs
1035
1036# This directory's subdirectories are mostly independent; you can cd
1037# into them and run 'make' without going through this Makefile.
1038# To change the values of 'make' variables: instead of editing Makefiles,
1039# (1) if the variable is set in 'config.status', edit 'config.status'
1040#     (which will cause the Makefiles to be regenerated when you run 'make');
1041# (2) otherwise, pass the desired values on the 'make' command line.
1042$(am__recursive_targets):
1043        @fail=; \
1044        if $(am__make_keepgoing); then \
1045          failcom='fail=yes'; \
1046        else \
1047          failcom='exit 1'; \
1048        fi; \
1049        dot_seen=no; \
1050        target=`echo $@ | sed s/-recursive//`; \
1051        case "$@" in \
1052          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1053          *) list='$(SUBDIRS)' ;; \
1054        esac; \
1055        for subdir in $$list; do \
1056          echo "Making $$target in $$subdir"; \
1057          if test "$$subdir" = "."; then \
1058            dot_seen=yes; \
1059            local_target="$$target-am"; \
1060          else \
1061            local_target="$$target"; \
1062          fi; \
1063          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1064          || eval $$failcom; \
1065        done; \
1066        if test "$$dot_seen" = "no"; then \
1067          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1068        fi; test -z "$$fail"
1069
1070ID: $(am__tagged_files)
1071        $(am__define_uniq_tagged_files); mkid -fID $$unique
1072tags: tags-recursive
1073TAGS: tags
1074
1075tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1076        set x; \
1077        here=`pwd`; \
1078        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1079          include_option=--etags-include; \
1080          empty_fix=.; \
1081        else \
1082          include_option=--include; \
1083          empty_fix=; \
1084        fi; \
1085        list='$(SUBDIRS)'; for subdir in $$list; do \
1086          if test "$$subdir" = .; then :; else \
1087            test ! -f $$subdir/TAGS || \
1088              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1089          fi; \
1090        done; \
1091        $(am__define_uniq_tagged_files); \
1092        shift; \
1093        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1094          test -n "$$unique" || unique=$$empty_fix; \
1095          if test $$# -gt 0; then \
1096            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1097              "$$@" $$unique; \
1098          else \
1099            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1100              $$unique; \
1101          fi; \
1102        fi
1103ctags: ctags-recursive
1104
1105CTAGS: ctags
1106ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1107        $(am__define_uniq_tagged_files); \
1108        test -z "$(CTAGS_ARGS)$$unique" \
1109          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1110             $$unique
1111
1112GTAGS:
1113        here=`$(am__cd) $(top_builddir) && pwd` \
1114          && $(am__cd) $(top_srcdir) \
1115          && gtags -i $(GTAGS_ARGS) "$$here"
1116cscopelist: cscopelist-recursive
1117
1118cscopelist-am: $(am__tagged_files)
1119        list='$(am__tagged_files)'; \
1120        case "$(srcdir)" in \
1121          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1122          *) sdir=$(subdir)/$(srcdir) ;; \
1123        esac; \
1124        for i in $$list; do \
1125          if test -f "$$i"; then \
1126            echo "$(subdir)/$$i"; \
1127          else \
1128            echo "$$sdir/$$i"; \
1129          fi; \
1130        done >> $(top_builddir)/cscope.files
1131
1132distclean-tags:
1133        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1134
1135# Recover from deleted '.trs' file; this should ensure that
1136# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1137# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1138# to avoid problems with "make -n".
1139.log.trs:
1140        rm -f $< $@
1141        $(MAKE) $(AM_MAKEFLAGS) $<
1142
1143# Leading 'am--fnord' is there to ensure the list of targets does not
1144# expand to empty, as could happen e.g. with make check TESTS=''.
1145am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1146am--force-recheck:
1147        @:
1148
1149$(TEST_SUITE_LOG): $(TEST_LOGS)
1150        @$(am__set_TESTS_bases); \
1151        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1152        redo_bases=`for i in $$bases; do \
1153                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1154                    done`; \
1155        if test -n "$$redo_bases"; then \
1156          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1157          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1158          if $(am__make_dryrun); then :; else \
1159            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1160          fi; \
1161        fi; \
1162        if test -n "$$am__remaking_logs"; then \
1163          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1164               "recursion detected" >&2; \
1165        elif test -n "$$redo_logs"; then \
1166          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1167        fi; \
1168        if $(am__make_dryrun); then :; else \
1169          st=0;  \
1170          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1171          for i in $$redo_bases; do \
1172            test -f $$i.trs && test -r $$i.trs \
1173              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1174            test -f $$i.log && test -r $$i.log \
1175              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1176          done; \
1177          test $$st -eq 0 || exit 1; \
1178        fi
1179        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1180        ws='[   ]'; \
1181        results=`for b in $$bases; do echo $$b.trs; done`; \
1182        test -n "$$results" || results=/dev/null; \
1183        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1184        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1185        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1186        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1187        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1188        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1189        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1190        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1191          success=true; \
1192        else \
1193          success=false; \
1194        fi; \
1195        br='==================='; br=$$br$$br$$br$$br; \
1196        result_count () \
1197        { \
1198            if test x"$$1" = x"--maybe-color"; then \
1199              maybe_colorize=yes; \
1200            elif test x"$$1" = x"--no-color"; then \
1201              maybe_colorize=no; \
1202            else \
1203              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1204            fi; \
1205            shift; \
1206            desc=$$1 count=$$2; \
1207            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1208              color_start=$$3 color_end=$$std; \
1209            else \
1210              color_start= color_end=; \
1211            fi; \
1212            echo "$${color_start}# $$desc $$count$${color_end}"; \
1213        }; \
1214        create_testsuite_report () \
1215        { \
1216          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1217          result_count $$1 "PASS: " $$pass  "$$grn"; \
1218          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1219          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1220          result_count $$1 "FAIL: " $$fail  "$$red"; \
1221          result_count $$1 "XPASS:" $$xpass "$$red"; \
1222          result_count $$1 "ERROR:" $$error "$$mgn"; \
1223        }; \
1224        {                                                               \
1225          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1226            $(am__rst_title);                                           \
1227          create_testsuite_report --no-color;                           \
1228          echo;                                                         \
1229          echo ".. contents:: :depth: 2";                               \
1230          echo;                                                         \
1231          for b in $$bases; do echo $$b; done                           \
1232            | $(am__create_global_log);                                 \
1233        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1234        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1235        if $$success; then                                              \
1236          col="$$grn";                                                  \
1237         else                                                           \
1238          col="$$red";                                                  \
1239          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1240        fi;                                                             \
1241        echo "$${col}$$br$${std}";                                      \
1242        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1243        echo "$${col}$$br$${std}";                                      \
1244        create_testsuite_report --maybe-color;                          \
1245        echo "$$col$$br$$std";                                          \
1246        if $$success; then :; else                                      \
1247          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1248          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1249            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1250          fi;                                                           \
1251          echo "$$col$$br$$std";                                        \
1252        fi;                                                             \
1253        $$success || exit 1
1254
1255check-TESTS:
1256        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1257        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1258        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1259        @set +e; $(am__set_TESTS_bases); \
1260        log_list=`for i in $$bases; do echo $$i.log; done`; \
1261        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1262        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1263        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1264        exit $$?;
1265recheck: all $(check_PROGRAMS)
1266        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1267        @set +e; $(am__set_TESTS_bases); \
1268        bases=`for i in $$bases; do echo $$i; done \
1269                 | $(am__list_recheck_tests)` || exit 1; \
1270        log_list=`for i in $$bases; do echo $$i.log; done`; \
1271        log_list=`echo $$log_list`; \
1272        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1273                am__force_recheck=am--force-recheck \
1274                TEST_LOGS="$$log_list"; \
1275        exit $$?
1276tests/testRFC1035.log: tests/testRFC1035$(EXEEXT)
1277        @p='tests/testRFC1035$(EXEEXT)'; \
1278        b='tests/testRFC1035'; \
1279        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1280        --log-file $$b.log --trs-file $$b.trs \
1281        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1282        "$$tst" $(AM_TESTS_FD_REDIRECT)
1283tests/testRFC1738.log: tests/testRFC1738$(EXEEXT)
1284        @p='tests/testRFC1738$(EXEEXT)'; \
1285        b='tests/testRFC1738'; \
1286        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1287        --log-file $$b.log --trs-file $$b.trs \
1288        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1289        "$$tst" $(AM_TESTS_FD_REDIRECT)
1290testHeaders.log: testHeaders
1291        @p='testHeaders'; \
1292        b='testHeaders'; \
1293        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1294        --log-file $$b.log --trs-file $$b.trs \
1295        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1296        "$$tst" $(AM_TESTS_FD_REDIRECT)
1297.test.log:
1298        @p='$<'; \
1299        $(am__set_b); \
1300        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1301        --log-file $$b.log --trs-file $$b.trs \
1302        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1303        "$$tst" $(AM_TESTS_FD_REDIRECT)
1304#.test$(EXEEXT).log:
1305#       @p='$<'; \
1306#       $(am__set_b); \
1307#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1308#       --log-file $$b.log --trs-file $$b.trs \
1309#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1310#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1311
1312distdir: $(DISTFILES)
1313        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1314        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1315        list='$(DISTFILES)'; \
1316          dist_files=`for file in $$list; do echo $$file; done | \
1317          sed -e "s|^$$srcdirstrip/||;t" \
1318              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1319        case $$dist_files in \
1320          */*) $(MKDIR_P) `echo "$$dist_files" | \
1321                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1322                           sort -u` ;; \
1323        esac; \
1324        for file in $$dist_files; do \
1325          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1326          if test -d $$d/$$file; then \
1327            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1328            if test -d "$(distdir)/$$file"; then \
1329              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1330            fi; \
1331            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1332              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1333              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1334            fi; \
1335            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1336          else \
1337            test -f "$(distdir)/$$file" \
1338            || cp -p $$d/$$file "$(distdir)/$$file" \
1339            || exit 1; \
1340          fi; \
1341        done
1342        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1343          if test "$$subdir" = .; then :; else \
1344            $(am__make_dryrun) \
1345              || test -d "$(distdir)/$$subdir" \
1346              || $(MKDIR_P) "$(distdir)/$$subdir" \
1347              || exit 1; \
1348            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1349            $(am__relativize); \
1350            new_distdir=$$reldir; \
1351            dir1=$$subdir; dir2="$(top_distdir)"; \
1352            $(am__relativize); \
1353            new_top_distdir=$$reldir; \
1354            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1355            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1356            ($(am__cd) $$subdir && \
1357              $(MAKE) $(AM_MAKEFLAGS) \
1358                top_distdir="$$new_top_distdir" \
1359                distdir="$$new_distdir" \
1360                am__remove_distdir=: \
1361                am__skip_length_check=: \
1362                am__skip_mode_fix=: \
1363                distdir) \
1364              || exit 1; \
1365          fi; \
1366        done
1367check-am: all-am
1368        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1369        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1370check: check-recursive
1371all-am: Makefile $(LTLIBRARIES)
1372installdirs: installdirs-recursive
1373installdirs-am:
1374install-exec: install-exec-recursive
1375install-data: install-data-recursive
1376uninstall: uninstall-recursive
1377
1378install-am: all-am
1379        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1380
1381installcheck: installcheck-recursive
1382mostlyclean-generic:
1383        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1384        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1385        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1386
1387clean-generic:
1388        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1389
1390distclean-generic:
1391        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1392        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1393        -rm -f tests/$(DEPDIR)/$(am__dirstamp)
1394        -rm -f tests/$(am__dirstamp)
1395
1396maintainer-clean-generic:
1397        @echo "This command is intended for maintainers to use"
1398        @echo "it deletes files that may require special tools to rebuild."
1399clean: clean-recursive
1400
1401clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1402        clean-noinstLTLIBRARIES mostlyclean-am
1403
1404distclean: distclean-recursive
1405        -rm -rf ./$(DEPDIR) tests/$(DEPDIR)
1406        -rm -f Makefile
1407distclean-am: clean-am distclean-compile distclean-generic \
1408        distclean-tags
1409
1410dvi: dvi-recursive
1411
1412dvi-am:
1413
1414html: html-recursive
1415
1416html-am:
1417
1418info: info-recursive
1419
1420info-am:
1421
1422install-data-am:
1423
1424install-dvi: install-dvi-recursive
1425
1426install-dvi-am:
1427
1428install-exec-am:
1429
1430install-html: install-html-recursive
1431
1432install-html-am:
1433
1434install-info: install-info-recursive
1435
1436install-info-am:
1437
1438install-man:
1439
1440install-pdf: install-pdf-recursive
1441
1442install-pdf-am:
1443
1444install-ps: install-ps-recursive
1445
1446install-ps-am:
1447
1448installcheck-am:
1449
1450maintainer-clean: maintainer-clean-recursive
1451        -rm -rf ./$(DEPDIR) tests/$(DEPDIR)
1452        -rm -f Makefile
1453maintainer-clean-am: distclean-am maintainer-clean-generic
1454
1455mostlyclean: mostlyclean-recursive
1456
1457mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1458        mostlyclean-libtool
1459
1460pdf: pdf-recursive
1461
1462pdf-am:
1463
1464ps: ps-recursive
1465
1466ps-am:
1467
1468uninstall-am:
1469
1470.MAKE: $(am__recursive_targets) check-am install-am install-strip
1471
1472.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1473        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1474        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1475        ctags-am distclean distclean-compile distclean-generic \
1476        distclean-libtool distclean-tags distdir dvi dvi-am html \
1477        html-am info info-am install install-am install-data \
1478        install-data-am install-dvi install-dvi-am install-exec \
1479        install-exec-am install-html install-html-am install-info \
1480        install-info-am install-man install-pdf install-pdf-am \
1481        install-ps install-ps-am install-strip installcheck \
1482        installcheck-am installdirs installdirs-am maintainer-clean \
1483        maintainer-clean-generic mostlyclean mostlyclean-compile \
1484        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1485        recheck tags tags-am uninstall uninstall-am
1486
1487.PRECIOUS: Makefile
1488
1489
1490$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1491
1492install: all
1493install-strip: all
1494
1495testHeaders: $(top_srcdir)/include/*.h
1496        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1497.PHONY: testHeaders
1498
1499# Tell versions [3.59,3.63) of GNU make to not export all variables.
1500# Otherwise a system limit (for SysV at least) may be exceeded.
1501.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.